/*
 * G_EvalMag1D.c
 *
 *  Function inputs a frequency u in cycles per sample and a filter.
 *  The magnitude response of the filter at u is returned.
 *
 *  jph 9/24/94
 *
 */

#ifndef G_EVALMAG1D_C
#define G_EVALMAG1D_C
#include "teager2D.h"
#include "Esa1D.h"
#include <stdio.h>

float G_EvalMag1D(f,u)

  FilterPtr   f;      /* filter whose center freq is to be used */
  double      u;      /* horiz comp of freq where spectrum is to be evaluated */

{
 return((float)fabs(G_EvalReal1D(f,u)));
}
#endif
