/*
 * KillFloat1D.c
 *
 *  function deallocates a float sequence structure , NULL is
 *  returned to facilitate calls of the form X = KillFloat1D(X);
 *
 *  jph 2/17/96
 *
 */
 
#ifndef KILLFLOAT1D_C
#define KILLFLOAT1D_C
#include <stdio.h>
#include "teager2D.h"
#include "Esa1D.h"

pFloatImage KillFloat1D(X)
 
  pFloatImage  X;     /* the image to be deallocated */
 
{

  if (X->Real != NULL) free(X->Real);
  if (X->Imag != NULL) free(X->Imag);
  if (X->FFTReal != NULL) free(X->FFTReal);
  if (X->FFTImag != NULL) free(X->FFTImag);
  free(X);
  return((pFloatImage)NULL);
}
#endif
