/*
 * g_EvalMag1D.c
 *
 *  Function inputs time domain coordinate x, a filter, and the length of
 *  the data sequence.  The magnitude of the filter at the point x is returned.
 *  If zerophase=1, the value for a zero phase filter is returned.  If 
 *  zerophase=0, the value for a centered filter is returned.
 *
 *  jph ?/?/??
 *  File recreated from scratch 10/9/97, after apparently being lost.
 *
 */

#ifndef g_EVALMAG1D_C
#define g_EVALMAG1D_C
#include "teager2D.h"
#include <stdio.h>

float g_EvalMag(f,x,zerophase,size)

  FilterPtr   f;      /* filter to be evaluated */
  double      x;      /* domain coordinate at which to evaluate filter */
  int         zerophase; /* 1: zero-phase filter, 0: filter centered in plane */
  int         size;   /* size of the signal */

{

return(fNorm(
      g_EvalReal1D(f,x,zerophase,size), g_EvalImag1D(f,x,zerophase,size)));
 
}
#endif
