/*
 * KillFloat.c
 *
 *  function deallocates a float image structure , NULL is
 *  returned to facilitate calls of the form X = KillFloat(X);
 *
 *  jph 4/14/94
 *
 */
 
#ifndef KILLFLOAT_C
#define KILLFLOAT_C
#include <stdio.h>
#include "teager2D.h"

pFloatImage KillFloat(X)
 
  pFloatImage  X;     /* the image to be allocated */
 
{

  if (X->Real != NULL) free(X->Real);
  if (X->Imag != NULL) free(X->Imag);
  if (X->FFTReal != NULL) free(X->FFTReal);
  if (X->FFTImag != NULL) free(X->FFTImag);
  free(X);
  return((pFloatImage)NULL);
}
#endif
