/*
 * bNorm.c
 *
 *   function computes the 2D Euclidean norm of it's two inputs.  All parameters
 *   are of type unsigned char.  The norm is returned through the function name.
 *
 *  jph 9/10/93
 */

#ifndef BNORM_C
#define BNORM_C
#include <stdio.h>
#include "teager2D.h"

unsigned char bNorm(a,b)

  unsigned char a;        /* First component of vector to be normed */
  unsigned char b;        /* Second component of vector to be normed */
{

  return((unsigned char)
             pow(pow((double)a,(double)2.0) + pow((double)b,(double)2.0),(double)0.5));
} 
#endif
