/*
 * floatalloc
 *
 *  function allocates a float image array on the heap
 *
 *  jph 9/13/93
 *
 */
 
#ifndef FLOATALLOC_C
#define FLOATALLOC_C
#include <stdio.h>
#include "teager2D.h"

float *floatalloc(size)
 
  int size;    /* image row/col dimension (assumed square). */
 
{
 
  float *x;    /* ptr for allocating the storage */
 
  if ((x = (float *)malloc(size*size*sizeof(float))) == NULL) {
    printf("\nfloatalloc: free store exhausted\n");
  }
  return(x);
}
#endif
