
/*
 * DeacTrack.c
 *
 *   Function Deactivate Track to deactivate a track.
 *
 * 7/28/94 jph
 */

#ifndef DEACTIVATETRACK_C
#define DEACTIVATETRACK_C

#include "track.h"
 
/*-----------------------------------------------------------------------------
   DEACTIVATE TRACK
-----------------------------------------------------------------------------*/

void DeactivateTrack(T,row,col)
 
  trackP  T;                    /* Track to be deactivated */
  int     row;                  /* row where being deactivated */
  int     col;                  /* col where being deactivated */
 
{
 
  if (T->protect) return;
  T->active = 0;
  T->coast = 0;
  T->Ncoast = 0;
  T->dormant = 1;
  T->dormantOnRow = 0;
  T->NRowsDormant = 0;
  T->Hist.Stop.row = row;
  T->Hist.Stop.col = col;
  return;
 
}/*--------------------------------------------  DeacTrack  ------------------*/
#endif
