/*
 * blogimage.c 
 *
 *   take the log of a byte image
 */

#include <stdio.h>
#include "teager2D.h"

main(argc,argv)

   int   argc;
  char *argv[];

{

  int size;
  unsigned char * x;
  float * y;
  int i; 

  if (argc != 4) {
    printf("\n\n%s: Take the Log of a Byte Image.",argv[0]);
    printf("\nusage: %s size infile outfile\n");
    exit(-1);
  }

  size = atoi(argv[1]);
  x = (unsigned char*) malloc(size*size*sizeof(unsigned char));
  disk2byte(x,size,size,argv[2]);
  y = byte2float(x,size,size);
  for (i=0; i < size*size; i++) {
    y[i] = (float)log((double)1.0+(double)x[i]);
  }
  free(x);
  x = f_dbx(y,size,size);
  byte2disk(x,size,size,argv[3]);
  return;
}
