
/*
 * byteswap.c
 *
 *  Reverse the order of the bytes in every 4-byte word of a file.
 *
 */

#ifndef BYTESWAP_C
#define BYTESWAP_C
#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  BYTE * x;             /* file to be byte swapped */
  BYTE temp;            /* temp byte variable */
  int size;             /* row , col dim */
  int i;                /* counter */
 
  if (argc !=  4) {
    printf("\n\n%s: reverse order of bytes in each 4 byte word of file.",
           argv[0]);
    printf("\nusage: %s Nbytes infile outfile \n",argv[0]);
    return;
  }

  size = atoi(argv[1]);
  x = (BYTE *) malloc(size*sizeof(BYTE));
 
  disk2byte(x,size,1,argv[2]);
  for (i=0; i < (size-3); i+=4) {
    temp = x[i];
    x[i] = x[i+3];
    x[i+3] = temp;

    temp = x[i+1];
    x[i+1] = x[i+2];
    x[i+2] = temp;
  }
  byte2disk(x,size,1,argv[3]);

  return;
} 
#endif
