
/*
 * f2bxy.c
 *
 * converts float image to byte, image does not have to be square.
 *
 */

#ifndef F2BXY_C
#define F2BXY_C
#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  float * x;            /* image to be read */
  double * xx;          /* double version of x */
  unsigned char * y;    /* output image */
  int fd;               /* file descriptor */
  int rows;             /* row dim */
  int cols;             /* col dim */

  if (argc !=  5) {
    printf("\n\n%s: convert a float image to a byte image",argv[0]);
    printf("\nusage: %s rows cols infile outfile \n",argv[0]);
    return;
  }

  rows = atoi(argv[1]);
  cols = atoi(argv[2]);
  x = (float *) malloc(rows*cols*sizeof(float));
 
  disk2f(x,rows,cols,argv[3]);
  xx = f2d(x,rows,cols);
  y = d_dbx(xx,rows,cols);
  byte2disk(y,rows,cols,argv[4]);

  return;
} 
#endif
