/*
 * fResize.c
 *
 *   Extract a subimage from a float image.
 * 
 *   10/2/95 jph
 *
 */

#include <stdio.h>
#include "teager2D.h"

main(argc,argv)

   int   argc;
  char *argv[];

{

  float * x;             /* input */
  float * y;             /* output image */
  int     insize;        /* row , col dim of input image */
  int     row0,col0;     /* upper left corner of subimage */
  int     outsize;       /* row , col dim of output image */
  int     InCol;         /* col counter for input image */
  int     InRow;         /* row counter for input image */
  int     OutCol;        /* col counter for output image */
  int     OutRow;        /* row counter for output image */




  int     k;             /* counter */
  int     j;             /* counter */
  int     row,col;       /* loop counters */
  int     yrow,ycol;     /* loop counters */

  if (argc != 7) {
    printf("\n\n%s: Extract square subimage from a float image.",
              argv[0]);
    printf("\nusage: %s infile size row0 col0 outsize outfile \n",argv[0]);
    exit(0);
  }

  insize = atoi(argv[2]);
  row0 = atoi(argv[3]);
  col0 = atoi(argv[4]);
  outsize = atoi(argv[5]);
  x    = (float*) malloc(insize*insize*sizeof(float));
  y    = (float*) malloc(outsize*outsize*sizeof(float));
  disk2f(x,insize,insize,argv[1]);
  for (InRow=row0,OutRow=0; OutRow < outsize; OutRow++,InRow++) {
    for (InCol=col0,OutCol=0; OutCol < outsize; OutCol++,InCol++) {
      y[OutRow*outsize + OutCol] = x[InRow*insize + InCol];
    }
  }
  f2disk(y,outsize,outsize,argv[6]);

  return;
}
