
/*
 * fenergy.c
 *
 * compute the energy of a float image and divide by the number of pixels.
 *
 */

#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  float  *x;                 /* input image  */
  int    size;             /* row , col dim */
  double E;
  int    k;
 
  if (argc !=  3) {
    printf("\n\n%s: compute normalized energy of a float image.",argv[0]);
    printf("\nusage: %s size imagefile \n",argv[0]);
    return;
  }
  size = atoi(argv[1]);
  x = (float *) malloc(size*size*sizeof(float));
  disk2f(x,size,size,argv[2]);
  for (E=0.0,k=0; k < size*size; k++) {
    E += (double)x[k] * (double)x[k];
  }
  E /= (double)(size*size);

  printf("\n\nE = %lf\n",E);
  
  return;
} 
