
/*
 * short2f.c
 *
 * converts 1D short signal to float  (short is 16 bits on Sun SPARC-10)
 *
 */

#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  float *fx;           /* float signal */
  short *sx;           /* short signal */
  FILE *ofpin;         /* output file pointer */
  int i;               /* loop counters */
  int size;            /* signal length */
  int fd;              /* file descriptor */
 
  if (argc !=  4) {
    printf("\n%s: convert a 1D short signal to float.",argv[0]);
    printf("\n\nusage: %s size infile outfile \n",argv[0]);
    return;
  }
  size = atoi(argv[1]);
  fx = (float *) malloc(size*sizeof(float));
  sx = (short *) malloc(size*sizeof(short));
 
  disk2byte(sx,size<<1,1,argv[2]);
  for (i=0; i < size; i++) {
    fx[i] = (float)sx[i];
  }
  f2disk(fx,size,1,argv[3]);
  return;
} 
