/*
 * unborder.c
 *
 *    temporary hack program.
 *
 */

#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include <string.h>

#include "teager2D.h"

#define BYTE unsigned char

main(argc,argv) 
 
  int   argc;
  char *argv[];
 
{

    int         size;          /* size of postfilter images */
    int         border;        /* size of border region in pixels */
    int         row;           /* counter for image rows */
    int         col;           /* counter for iamge cols */
    char       *fnI;           /* input file */
    char       *fnO;           /* output file */
    float      *x;             /* input image */

   /*
    * Parse command line arguments 
    */
    if (argc != 5) {
      printf("\n%s: Fix edge conditions on reptile modulating fcns.\n",argv[0]);
      printf("\nusage: %s size border infile outfile \n",argv[0]);
      exit(0);
    }
    size   = atoi(argv[1]);
    border = atoi(argv[2]);
    fnI = argv[3];
    fnO = argv[4];

    x = (float *) malloc(size*size*sizeof(float));

    disk2f(x,size,size,fnI);

    for (row=border; row < size-border; row++) {
      for (col=0; col < border; col++) {
        x[row*size+col] = x[row*size+border];
      }
      for (col=size-border; col < size; col++) {
        x[row*size+col] = x[row*size+size-border-1];
      }
    }

    for (col=0; col < size; col++) {
      for (row=0; row < border; row++) {
        x[row*size + col] = x[border*size + col];
      }
      for (row=size-border; row < size; row++) {
        x[row*size + col] = x[(size-border-1)*size + col];
      }
    }

    f2disk(x,size,size,fnO);
    
    printf("\n");
    return;

}

