/*
 * Esa1D.h
 *
 *  This file contains typedefs and function prototypes for implementation of
 *  the 1D Esa.
 *
 *  The 2D header file teager2D.h from /anchovy/export/home/joebob/working/lib 
 *  must also be included.
 *
 *  jph 9/24/94
 */

#ifndef ESA1D_H
#define ESA1D_H

#include "gabor1D.h"
#include <stdlib.h>

/*
 * Function Prototypes
 */
#ifndef ALLOCFLOATSEQUENCE_C
void AllocFloatSequence();
#endif
#ifndef DFFT1D_C
void dfft1d();
#endif
#ifndef DOPOSTFILTER1D_C
void DoPostFilter1D();
#endif
#ifndef FBACKDIFF1D_C
float *fBackDiff1D();
#endif
#ifndef FFNORM_C
float FNorm();
#endif
#ifndef FFT1D_C
void fft1d();
#endif
#ifndef FFINITEDIF1D_C
void fFiniteDif1D();
#endif
#ifndef FSHIFTLEFT1D_C
float *fShiftLeft1D();
#endif
#ifndef FTKEO1D_C
float *fTKEO1D();
#endif
#ifndef FTKESA1D_C
void fTKESA1D();
#endif
#ifndef G_EVALIMAG1D_C
float G_EvalImag1D();
#endif
#ifndef G_EVALMAG1D_C
float G_EvalMag1D();
#endif
#ifndef G_EVALREAL1D_C
float G_EvalReal1D();
#endif
#ifndef g_EVALIMAG1D_C
float g_EvalImag1D();
#endif
#ifndef g_EVALMAG1D_C
float g_EvalMag1D();
#endif
#ifndef g_EVALREAL1D_C
float g_EvalReal1D();
#endif
#ifndef GAUSS_NOISE_C
float *gauss_noise();
#endif
#ifndef gMAKEIMAG1D_C
float *gMakeImag1D();
#endif
#ifndef gMAKEMAG1D_C
float *gMakeMag1D();
#endif
#ifndef gMAKEREAL1D_C
float *gMakeReal1D();
#endif
#ifndef GMAKEREAL1D_C
float *GMakeReal1D();
#endif
#ifndef HARDYCONVOLVEGABOR1D_C
void HardyConvolveGabor1D();
#endif
#ifndef HARDYFILTLF1D_C
void HardyFiltLF1D();
#endif
#ifndef KILLFLOAT1D_C
pFloatImage KillFloat1D();
#endif
#ifndef MAKEHARDY1D_C
void MakeHardy1D();
#endif
#ifndef MKPOSTFILT1D_C
pFloatImage MkPostFilt1D();
#endif
#ifndef PTESA1D_C
int PtEsa1D();
#endif
#ifndef DIAGESA1D_C
int PtEsa1DDiag();
#endif
#ifndef PTESA1DWIDE_C
int PtEsa1DWide();
#endif
#ifndef PTESA1D_CLIP_C
int PtEsa1D_clip();
#endif
#ifndef PTESA1DNOFILT_C
void PtEsa1DNoFilt();
#endif
#ifndef PTESA1DNOFILTWIDE_C
void PtEsa1DNoFiltWide();
#endif
#ifndef RECOMPUTEASM1D_C
void ReComputeAsm1D();
#endif
#ifndef REVFILTER1D_C
void REVFilter1D();
#endif
#ifndef TKFINDQ_C
float *TKfindQ();
#endif

void four1();
void dfour1();
float ran1();
float gasdev();
#endif
