/*
 * G_EvalReal1D.c
 *
 *  Function inputs a frequency u in cycles per sample and a filter.
 *  The Real value of the filter spectrum sample at u is returned.
 *
 *  jph 9/24/94
 *
 */

#ifndef G_EVALREAL1D_C
#define G_EVALREAL1D_C
#include "teager2D.h"
#include "Esa1D.h"
#include <stdio.h>

float G_EvalReal1D(f,u)

  FilterPtr   f;      /* filter whose center freq is to be used */
  double      u;      /* horiz comp of freq where spectrum is to be evaluated */

{
 return(f->GMax*(float) exp(f->GArgGaussCoef * pow((u - f->u0), (double)2.0)));
}
#endif
