/*
 * AllocFloatImage.c
 *
 *  function allocates a float image structure on the heap
 *
 *  jph 9/13/93
 *
 */
 
#ifndef ALLOCFLOATIMAGE_C
#define ALLOCFLOATIMAGE_C
#include <stdio.h>
#include "teager2D.h"

void AllocFloatImage(X,size)
 
  pFloatImage  X;     /* the image to be allocated */
  int          size;  /* image row/col dimension (assumed square). */
 
{

 
/*  X = (pFloatImage)malloc(sizeof(FloatImage));*/
  X->size = X->rows = X->cols = size;
  X->square = 1;
  X->Real = floatalloc(size);
  X->Imag = floatalloc(size);
  X->FFTReal = floatalloc(size);
  X->FFTImag = floatalloc(size);
  return;
}
#endif
