/*
 * byte2monitor.c
 *
 *   function writes an unsigned char (byte) image to the data cube,
 *   and thereby gets it displayed on the Panasonic monitor.  The image
 *   must be square with dimensions size X size.  It is assumed size <= 9999.
 *
 *
 *  jph 15 June 1992
 */

#ifndef BYTE2MONITOR_C
#define BYTE2MONITOR_C
#include <stdio.h>
#include <fcntl.h>
#include "teager2D.h"

void byte2monitor(x,size)

  unsigned char *x;     /* image to be displayed */
  int size;             /* row dimension of x */
{

  char disply_cmd[100];

  byte2disk(x,size,size,"___byte2monitor_tmp_file");
  sprintf(disply_cmd,"display %d ___byte2monitor_tmp_file -zoom",size);
  system(disply_cmd);
  system("rm ___byte2monitor_tmp_file");
  return;
} 
#endif
