
/*
 * a2f.c
 *
 * converts a signal in ascii suitable for use with xvgr to float.
 *
 */

#ifndef A2F_C
#define A2F_C
#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  float * fx;           /* signal converted to float */
  FILE *infile;         /* output file pointer */
  int i,j,ii,jj;        /* loop counters */
  int size;             /* row , col dim */
 
  if (argc !=  4) {
    printf("\n\nusage: a2f size infile outfile \n");
    return;
  }
  size = atoi(argv[1]);
  fx = (float *) malloc(size*sizeof(float));
 
  if ((infile = fopen(argv[2],"r")) == NULL) {
    printf("\nCannot open file %s",argv[2]);
    exit(0);
  }
  for (i=0; i<size; i++) {
    fscanf(infile,"%d\t%f\n",&j,&fx[i]);
  }
  fclose(infile);
  f2disk(fx,size,1,argv[3]);
  return;
} 
#endif
