/*
 * b2f.c 
 *
 * convert a byte image to a float image  
 */

#include <stdio.h>
#include "teager2D.h"

main(argc,argv)

   int   argc;
  char *argv[];

{

  int size;
  unsigned char * x;
  float * y;

  if (argc != 4) {
    printf("\n\n%s: convert a byte image to a float image.",argv[0]);
    printf("\nusage: %s size infile outfile\n",argv[0]);
    exit(-1);
  }

  size = atoi(argv[1]);
  x = (unsigned char*) malloc(size*size*sizeof(unsigned char));
  disk2byte(x,size,size,argv[2]);
  y = byte2float(x,size,size);
  f2disk(y,size,size,argv[3]);
  return;
}
