
/*
 * d2b.c
 *
 * converts double image to byte
 *
 */

#ifndef D2B_C
#define D2B_C
#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  double * x;           /* input image  */
  unsigned char * y;    /* output image */
  int fd;               /* file descriptor */
  int size;             /* row , col dim */
 
  if (argc !=  4) {
    printf("\n\n%s: converts a double image to a byte image.",argv[0]);
    printf("\nusage: %s size infile outfile \n",argv[0]);
    return;
  }
  size = atoi(argv[1]);
  x = (double *) malloc(size*size*sizeof(double));
 
  disk2d(x,size,size,argv[2]);
  y = d_dbx(x,size,size);
  byte2disk(y,size,size,argv[3]);

  return;
} 
#endif
