
/*
 * f2ascii.c
 *
 * converts float signal to ascii suitable for use with xvgr
 *
 */

#ifndef D2B_C
#define D2B_C
#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  float * fx;           /* signal converted to float */
  FILE *ofpin;          /* output file pointer */
  int i,j,ii,jj;        /* loop counters */
  int size;             /* row , col dim */
 
  if (argc !=  4) {
    printf("\n\nusage: %s size infile outfile \n",argv[0]);
    return;
  }
  size = atoi(argv[1]);
  fx = (float *) malloc(size*sizeof(float));
 
  disk2f(fx,size,1,argv[2]);
  if ((ofpin = fopen(argv[3],"w")) == NULL) {
    printf("\nCannot open file %s",argv[3]);
    exit(0);
  }
  for (i=0; i<size; i++) {
    fprintf(ofpin,"%d\t%f\n",i,fx[i]);
  }
  fclose(ofpin);
  return;
} 
#endif
