
/*
 * f2b.c
 *
 * converts float image to byte
 *
 */

#ifndef F2B_C
#define F2B_C
#include <stdio.h>
#include <math.h>
#include <fcntl.h>
#include "teager2D.h"

main(argc,argv)

  int   argc;
  char *argv[];

{


  float * x;            /* image to be read */
  double * xx;          /* double version of x */
  unsigned char * y;    /* output image */
  int fd;               /* file descriptor */
  int size;             /* row , col dim */

  if (argc !=  4) {
    printf("\n\n%s: convert a float image to a byte image",argv[0]);
    printf("\nusage: %s size infile outfile \n",argv[0]);
    return;
  }

  size = atoi(argv[1]);
  x = (float *) malloc(size*size*sizeof(float));
 
  disk2f(x,size,size,argv[2]);
  xx = f2d(x,size,size);
  y = d_dbx(xx,size,size);
  byte2disk(y,size,size,argv[3]);

  return;
} 
#endif
