/*
 * f2d.c
 *
 *   read a float image from a file, convert it to double, write it back to the file.
 */

#include <stdio.h>
#include "teager2D.h"

main(argc,argv)

   int   argc;
  char *argv[];

{

  float * x;            /* image to be read */
  double * y;           /* image to be read */
  int fd;               /* file descriptor */
  int size;             /* row , col dim */

  if (argc != 4) {
    printf("\n\n%s: convert a float image to a double image",argv[0]);
    printf("\nusage: %s size infile outfile \n",argv[0]);
    exit(0);
  }

  size = atoi(argv[1]);
  x = (float*) malloc(size*size*sizeof(float));
  disk2f(x,size,size,argv[2]);
  y = f2d(x,size,size);
  d2disk(y,size,size,argv[3]);

  return;
}
