/*
 * shirnk768.c 
 *
 * cut down a 768x768 fingerprint image to 512x512
 */

#include <stdio.h>
#include "teager2D.h"

main(argc,argv)

   int   argc;
  char *argv[];

{

  int sizex;
  int sizey;
  unsigned char * x;
  unsigned char * y;
  int xrow,xcol,yrow,ycol;

  if (argc != 3) {
    printf("\n\n%s: shrinks a 768x768 image to 512x512.",argv[0]);
    printf("\nusage: %s infile outfile\n");
  }

  sizex = 768;
  sizey = 512;
  x = (unsigned char*) malloc(sizex*sizex*sizeof(unsigned char));
  y = (unsigned char*) malloc(sizey*sizey*sizeof(unsigned char));
  disk2byte(x,sizex,sizex,argv[2]);
  for (xrow=256,yrow=0; xrow < 768; xrow++,yrow++) {
    for (xcol=256,ycol=0; xcol < 768; xcol++) {
      y[yrow*sizey+ycol] = x[xrow*sizex+xcol];
    }
  }
  byte2disk(y,sizey,sizey,argv[3]);
  return;
}
