/*
 *  make float image of zeros
 *
 * 
 */

#include <stdio.h>
#include "teager2D.h"

main(argc,argv)

   int   argc;
  char *argv[];

{

  int size;
  int i;          /* loop counter */
  char * outfile;
  float * y;

  if (argc != 3) {
    printf("\n\n%s: make a float image of all zeros.",argv[0]);
    printf("\nusage: %s size outfile\n",argv[0]);
    exit(-1);
  }

  size = atoi(argv[1]);
  outfile = argv[2];
  if ((y = (float *)malloc(size*size*sizeof(float))) ==NULL) {
    printf("\n%s: free store exhausted.\n\n",argv[0]);
    exit(-1);
  }
  for (i=0; i < size*size; i++) {
    y[i] = (float)0.0;
  }
  f2disk(y,size,size,outfile);
  return;
}
