/* Write 2-dimensional byte image to a specified disk file
/* im,OutFileName,size -->  inputs
/* im 		Pointer to the unsigned char image data
/* OutFileName 	string containing file name to write to
/* 		if the file exists, it will be overwritten.
/* size		length or width of the image. The image is assumed to be
/*		square.
/* 
/* The file size will be size*size bytes.
/* Keith Bartels  4-3-1991
*/
#include 	<stdio.h>
#include <stdlib.h>

write2d(im,OutFileName,size)

	unsigned char * im;
	char	OutFileName[];
	int	size;
	{
	int	cnt,outfile,l;

	l = size*size;
	if (creat(OutFileName,0644) == -1)
              {
              fprintf(stderr,"Can't create file: %s\n",OutFileName);
              exit(1);
              }
        if ((outfile = open(OutFileName,1)) == -1)
             {
             fprintf(stderr,"Can't open file: %s\n",OutFileName);
             exit(1);
             }
        if ((cnt = write(outfile,im,l)) != l)
             {
             fprintf(stderr,"Only %d bytes written.\n",cnt);
             exit(2);
             }
        close(outfile);
	}
